<?php
add_action( 'customize_register', 'fabstar_customizer' );
function fabstar_customizer( $wp_customize ) {
	$fabstar_theme_options = fabstar_get_options();
	/* Genral section */
	$wp_customize->add_panel( 'fabstar_theme_option', array('title' => __( 'Theme Options','fabstar' ), 'priority' => 1) );
	
	
	// For Home Search Section
	$wp_customize->add_section('header_section',array(
	'title'=>__("Header Options",'fabstar'),
	'panel'=>'fabstar_theme_option',
	'capability'=>'edit_theme_options',
    'priority' => 35
	));
	
	$wp_customize->add_setting( 'fabstar_options[sticky_header]', array(
            'default'=>$fabstar_theme_options['sticky_header'],
            'sanitize_callback'=>'fabstar_sanitize_checkbox',
            'capability'        => 'edit_theme_options',
        )
    );
    $wp_customize->add_control( 'sticky_header', array(
        'label'        => __( 'Enable Sticky header', 'fabstar' ),
        'type'=>'checkbox',
        'section'    => 'header_section',
        'settings'   => 'fabstar_options[sticky_header]',
    ) );
	
	// Social section
    $wp_customize->add_section('fabstar_social_section',array(
	'title'=>__(" Social Options",'fabstar'),
	'panel'=>'fabstar_theme_option',
	'capability'=>'edit_theme_options',
    'priority' => 35
	));
	
	$wp_customize->add_setting('fabstar_options[fabstar_social_media]', array(
		'default'=>esc_attr($fabstar_theme_options['fabstar_social_media']),
		'sanitize_callback'=>'fabstar_sanitize_checkbox',
		'capability'=>'edit_theme_options'
		));
	$wp_customize->selective_refresh->add_partial( 'fabstar_options[fabstar_social_media]', array(
	'selector' => '.fabstar_social_media_head',
	'render_callback' => 'fabstar_options[fabstar_social_media]',
	) );
	$wp_customize->add_control( 'fabstar_social_media', array(
		'label'        => __( 'Enable Social Media Icons in Header', 'fabstar' ),
		'description'=>esc_html__('Select this option to show social icons on header', 'fabstar' ),
		'type'=>'checkbox',
		'section'    => 'fabstar_social_section',
		'settings'   => 'fabstar_options[fabstar_social_media]'
	) );
	$wp_customize->add_setting(
	'fabstar_options[fabstar_footer_social_media]',
		array(
		'default'=>esc_attr($fabstar_theme_options['fabstar_footer_social_media']),
		'sanitize_callback'=>'fabstar_sanitize_checkbox',
		'capability'=>'edit_theme_options'
		));
	$wp_customize->selective_refresh->add_partial( 'fabstar_options[fabstar_footer_social_media]', array(
	'selector' => '.fabstar_social_media_footer',
	'render_callback' => 'fabstar_options[fabstar_footer_social_media]',
	) );
	$wp_customize->add_control( 'fabstar_footer_social_media', array(
		'label'        => __( 'Enable Social Media Icons in Footer', 'fabstar' ),
		'description'=>esc_html__('Select this option to show social icons on footer', 'fabstar' ),
		'type'=>'checkbox',
		'section'    => 'fabstar_social_section',
		'settings'   => 'fabstar_options[fabstar_footer_social_media]'
	) );
	
	$wp_customize->add_setting(
	'fabstar_options[facbook_link]',
		array(
		'default'=>esc_attr($fabstar_theme_options['facbook_link']),
		'sanitize_callback'=>'esc_url_raw',
		'capability'=>'edit_theme_options'
		));
	
	$wp_customize->add_control('facbook_link',
        array(
			'label'        => __( 'Facebook', 'fabstar' ),
			'description'=>esc_html__('Enter link address for facebook', 'fabstar' ),
			'type'=>'url',
            'section'  => 'fabstar_social_section',
			'settings'   => 'fabstar_options[facbook_link]'
    ));
	
	
	$wp_customize->add_setting(
	'fabstar_options[twitter_link]',
		array(
		'default'=>esc_attr($fabstar_theme_options['twitter_link']),
		'sanitize_callback'=>'esc_url_raw',
		'capability'=>'edit_theme_options'
		));
		$wp_customize->add_control( 'twitter_link', array(
		'label'        => __( 'Twitter', 'fabstar' ),
		'description'=>esc_html__('Enter link address for twitter', 'fabstar' ),
		'type'=>'url',
		'section'    => 'fabstar_social_section',
		'settings'   => 'fabstar_options[twitter_link]'
	));
	
	$wp_customize->add_setting(
	'fabstar_options[youtube_link]',
		array(
		'default'=>esc_attr($fabstar_theme_options['youtube_link']),
		'sanitize_callback'=>'esc_url_raw',
		'capability'=>'edit_theme_options'
		)
	);
		$wp_customize->add_control( 'youtube_link', array(
		'label'        => __( 'Youtube', 'fabstar' ),
		'description'=>esc_html__('Enter link address for youtube', 'fabstar' ),
		'type'=>'url',
		'section'    => 'fabstar_social_section',
		'settings'   => 'fabstar_options[youtube_link]'
	));
	$wp_customize->add_setting(
	'fabstar_options[linkdin_link]',
		array(
		'default'=>esc_attr($fabstar_theme_options['linkdin_link']),
		'sanitize_callback'=>'esc_url_raw',
		'capability'=>'edit_theme_options'
	));
	$wp_customize->add_control( 'linkdin_link', array(
		'label'        => __( 'Linkedin', 'fabstar' ),
		'description'=>esc_html__('Enter link address for linkdin', 'fabstar' ),
		'type'=>'url',
		'section'    => 'fabstar_social_section',
		'settings'   => 'fabstar_options[linkdin_link]'
	));
	
	// Footer Section
	$wp_customize->add_section('footer_section',array(
	'title'=>__("Footer Options",'fabstar'),
	'panel'=>'fabstar_theme_option',
	'capability'=>'edit_theme_options',
    'priority' => 35
	));	
	$wp_customize->add_setting(
	'fabstar_options[fabstar_footer_text]',
		array(
		'default'=>esc_attr($fabstar_theme_options['fabstar_footer_text']),
		'sanitize_callback'=>'fabstar_sanitize_text',
		'capability'=>'edit_theme_options'
		)
	);
	$wp_customize->selective_refresh->add_partial( 'fabstar_options[fabstar_footer_text]', array(
	'selector' => '.fabstar_footer_text',
	'render_callback' => 'fabstar_options[fabstar_footer_text]',
	));
	$wp_customize->add_control( 'fabstar_footer_text', array(
		'label'        => __( 'Developed By Text', 'fabstar' ),
		'description'=>esc_html__('Enter footer text', 'fabstar' ),
		'type'=>'text',
		'section'    => 'footer_section',
		'settings'   => 'fabstar_options[fabstar_footer_text]'
	));
	$wp_customize->add_setting(
	'fabstar_options[fabstar_footer_link_text]',
		array(
		'default'=>esc_attr($fabstar_theme_options['fabstar_footer_link_text']),
		'sanitize_callback'=>'fabstar_sanitize_text',
		'capability'=>'edit_theme_options'
	));
	$wp_customize->add_control( 'fabstar_footer_link_text', array(
		'label'        => __( 'Footer Customization Text', 'fabstar' ),
		'description'=>esc_html__('Enter link text for footer', 'fabstar' ),
		'type'=>'text',
		'section'    => 'footer_section',
		'settings'   => 'fabstar_options[fabstar_footer_link_text]'
	));
	$wp_customize->add_setting(
	'fabstar_options[fabstar_footer_link]',
		array(
		'default'=>esc_attr($fabstar_theme_options['fabstar_footer_link']),
		'capability'=>'edit_theme_options',
		'sanitize_callback'=>'esc_url_raw'
	));
	$wp_customize->add_control( 'fabstar_footer_link', array(
		'label'        => __( 'Developed By Link', 'fabstar' ),
		'description'=>esc_html__('Enter link for footer', 'fabstar' ),
		'type'=>'url',
		'section'    => 'footer_section',
		'settings'   => 'fabstar_options[fabstar_footer_link]'
	));  

	// home layout //
	$wp_customize->add_section('Home_Page_Layout',array(
    'title'=>__("Home Page Layout Option",'fabstar'),
    'panel'=>'fabstar_theme_option',
    'capability'=>'edit_theme_options',
    'priority' => 37,
    ));
	
	$wp_customize->add_setting('box_layout',
        array(
			'type' => 'theme_mod',
			//'default'=>$fabstar_theme_options['box_layout'],
            'sanitize_callback' => 'fabstar_sanitize_integer',
			'capability'        => 'edit_theme_options',
        )
    );
    $wp_customize->add_control('box_layout', array(
		'label'=>__( 'Boxed Layout', 'fabstar' ),
        'section' => 'Home_Page_Layout',
        'type'    => 'select',
        'choices' => array(
            '1'      => __('Full-Width', 'fabstar'),
            '2'     => __('Boxed', 'fabstar'),
        ),
		'settings'=>'box_layout',
    )); 
	// home layout close //
}

function fabstar_sanitize_text( $input ) {
    return wp_kses_post( force_balance_tags( $input ) );
}
function fabstar_sanitize_checkbox( $input ) {
   if ( $input == 1 ) {
        return 'on' ;
    } else {
        return 'off';
    }
}
function fabstar_sanitize_integer( $input ) {
    return (int)($input);
}